package com.mortals.xhx.module.attendance.model;

import java.util.List;
import com.mortals.xhx.module.attendance.model.AttendanceExportRecordEntity;
/**
 * 导入导出记录查询对象
 *
 * @author zxfei
 * @date 2023-04-17
 */
public class AttendanceExportRecordQuery extends AttendanceExportRecordEntity {
    /** 开始  */
    private Long idStart;

    /** 结束  */
    private Long idEnd;

    /** 增加  */
    private Long idIncrement;

    /** 列表 */
    private List <Long> idList;

    /** 排除列表 */
    private List <Long> idNotList;

    /** 选择部门名称 */
    private List<String> deptNameList;

    /** 选择部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 选择考勤组名称 */
    private List<String> groupNameList;

    /** 选择考勤组名称排除列表 */
    private List <String> groupNameNotList;
    /** 选择班次名称 */
    private List<String> classNameList;

    /** 选择班次名称排除列表 */
    private List <String> classNameNotList;
    /** 选择开始时间和结束时间段 */
    private List<String> attendanceDateList;

    /** 选择开始时间和结束时间段排除列表 */
    private List <String> attendanceDateNotList;
    /** 开始 导出还是导入(1.导出,2.导入) */
    private Integer exportOrImportStart;

    /** 结束 导出还是导入(1.导出,2.导入) */
    private Integer exportOrImportEnd;

    /** 增加 导出还是导入(1.导出,2.导入) */
    private Integer exportOrImportIncrement;

    /** 导出还是导入(1.导出,2.导入)列表 */
    private List <Integer> exportOrImportList;

    /** 导出还是导入(1.导出,2.导入)排除列表 */
    private List <Integer> exportOrImportNotList;

    /** 导出文件路径 */
    private List<String> filePathList;

    /** 导出文件路径排除列表 */
    private List <String> filePathNotList;
    /** 开始 汇总还是每日打卡记录(1.汇总,2.每日打卡记录) */
    private Integer typeStart;

    /** 结束 汇总还是每日打卡记录(1.汇总,2.每日打卡记录) */
    private Integer typeEnd;

    /** 增加 汇总还是每日打卡记录(1.汇总,2.每日打卡记录) */
    private Integer typeIncrement;

    /** 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)列表 */
    private List <Integer> typeList;

    /** 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)排除列表 */
    private List <Integer> typeNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 选择id列表 */
    private List<String> recordIdListList;

    /** 选择id列表排除列表 */
    private List <String> recordIdListNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AttendanceExportRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AttendanceExportRecordQuery> andConditionList;

    public AttendanceExportRecordQuery(){}

    /**
     * 获取 开始
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 选择部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 选择部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 选择部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 选择部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 选择考勤组名称
     * @return groupNameList
     */
    public List<String> getGroupNameList(){
        return this.groupNameList;
    }

    /**
     * 设置 选择考勤组名称
     * @param groupNameList
     */
    public void setGroupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
    }

    /**
     * 获取 选择考勤组名称
     * @return groupNameNotList
     */
    public List<String> getGroupNameNotList(){
        return this.groupNameNotList;
    }

    /**
     * 设置 选择考勤组名称
     * @param groupNameNotList
     */
    public void setGroupNameNotList(List<String> groupNameNotList){
        this.groupNameNotList = groupNameNotList;
    }

    /**
     * 获取 选择班次名称
     * @return classNameList
     */
    public List<String> getClassNameList(){
        return this.classNameList;
    }

    /**
     * 设置 选择班次名称
     * @param classNameList
     */
    public void setClassNameList(List<String> classNameList){
        this.classNameList = classNameList;
    }

    /**
     * 获取 选择班次名称
     * @return classNameNotList
     */
    public List<String> getClassNameNotList(){
        return this.classNameNotList;
    }

    /**
     * 设置 选择班次名称
     * @param classNameNotList
     */
    public void setClassNameNotList(List<String> classNameNotList){
        this.classNameNotList = classNameNotList;
    }

    /**
     * 获取 选择开始时间和结束时间段
     * @return attendanceDateList
     */
    public List<String> getAttendanceDateList(){
        return this.attendanceDateList;
    }

    /**
     * 设置 选择开始时间和结束时间段
     * @param attendanceDateList
     */
    public void setAttendanceDateList(List<String> attendanceDateList){
        this.attendanceDateList = attendanceDateList;
    }

    /**
     * 获取 选择开始时间和结束时间段
     * @return attendanceDateNotList
     */
    public List<String> getAttendanceDateNotList(){
        return this.attendanceDateNotList;
    }

    /**
     * 设置 选择开始时间和结束时间段
     * @param attendanceDateNotList
     */
    public void setAttendanceDateNotList(List<String> attendanceDateNotList){
        this.attendanceDateNotList = attendanceDateNotList;
    }

    /**
     * 获取 开始 导出还是导入(1.导出,2.导入)
     * @return exportOrImportStart
     */
    public Integer getExportOrImportStart(){
        return this.exportOrImportStart;
    }

    /**
     * 设置 开始 导出还是导入(1.导出,2.导入)
     * @param exportOrImportStart
     */
    public void setExportOrImportStart(Integer exportOrImportStart){
        this.exportOrImportStart = exportOrImportStart;
    }

    /**
     * 获取 结束 导出还是导入(1.导出,2.导入)
     * @return $exportOrImportEnd
     */
    public Integer getExportOrImportEnd(){
        return this.exportOrImportEnd;
    }

    /**
     * 设置 结束 导出还是导入(1.导出,2.导入)
     * @param exportOrImportEnd
     */
    public void setExportOrImportEnd(Integer exportOrImportEnd){
        this.exportOrImportEnd = exportOrImportEnd;
    }

    /**
     * 获取 增加 导出还是导入(1.导出,2.导入)
     * @return exportOrImportIncrement
     */
    public Integer getExportOrImportIncrement(){
        return this.exportOrImportIncrement;
    }

    /**
     * 设置 增加 导出还是导入(1.导出,2.导入)
     * @param exportOrImportIncrement
     */
    public void setExportOrImportIncrement(Integer exportOrImportIncrement){
        this.exportOrImportIncrement = exportOrImportIncrement;
    }

    /**
     * 获取 导出还是导入(1.导出,2.导入)
     * @return exportOrImportList
     */
    public List<Integer> getExportOrImportList(){
        return this.exportOrImportList;
    }

    /**
     * 设置 导出还是导入(1.导出,2.导入)
     * @param exportOrImportList
     */
    public void setExportOrImportList(List<Integer> exportOrImportList){
        this.exportOrImportList = exportOrImportList;
    }

    /**
     * 获取 导出还是导入(1.导出,2.导入)
     * @return exportOrImportNotList
     */
    public List<Integer> getExportOrImportNotList(){
        return this.exportOrImportNotList;
    }

    /**
     * 设置 导出还是导入(1.导出,2.导入)
     * @param exportOrImportNotList
     */
    public void setExportOrImportNotList(List<Integer> exportOrImportNotList){
        this.exportOrImportNotList = exportOrImportNotList;
    }


    /**
     * 获取 导出文件路径
     * @return filePathList
     */
    public List<String> getFilePathList(){
        return this.filePathList;
    }

    /**
     * 设置 导出文件路径
     * @param filePathList
     */
    public void setFilePathList(List<String> filePathList){
        this.filePathList = filePathList;
    }

    /**
     * 获取 导出文件路径
     * @return filePathNotList
     */
    public List<String> getFilePathNotList(){
        return this.filePathNotList;
    }

    /**
     * 设置 导出文件路径
     * @param filePathNotList
     */
    public void setFilePathNotList(List<String> filePathNotList){
        this.filePathNotList = filePathNotList;
    }

    /**
     * 获取 开始 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @return typeStart
     */
    public Integer getTypeStart(){
        return this.typeStart;
    }

    /**
     * 设置 开始 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @param typeStart
     */
    public void setTypeStart(Integer typeStart){
        this.typeStart = typeStart;
    }

    /**
     * 获取 结束 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @return $typeEnd
     */
    public Integer getTypeEnd(){
        return this.typeEnd;
    }

    /**
     * 设置 结束 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @param typeEnd
     */
    public void setTypeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
    }

    /**
     * 获取 增加 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @return typeIncrement
     */
    public Integer getTypeIncrement(){
        return this.typeIncrement;
    }

    /**
     * 设置 增加 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @param typeIncrement
     */
    public void setTypeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
    }

    /**
     * 获取 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @return typeList
     */
    public List<Integer> getTypeList(){
        return this.typeList;
    }

    /**
     * 设置 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @param typeList
     */
    public void setTypeList(List<Integer> typeList){
        this.typeList = typeList;
    }

    /**
     * 获取 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @return typeNotList
     */
    public List<Integer> getTypeNotList(){
        return this.typeNotList;
    }

    /**
     * 设置 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @param typeNotList
     */
    public void setTypeNotList(List<Integer> typeNotList){
        this.typeNotList = typeNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 选择id列表
     * @return recordIdListList
     */
    public List<String> getRecordIdListList(){
        return this.recordIdListList;
    }

    /**
     * 设置 选择id列表
     * @param recordIdListList
     */
    public void setRecordIdListList(List<String> recordIdListList){
        this.recordIdListList = recordIdListList;
    }

    /**
     * 获取 选择id列表
     * @return recordIdListNotList
     */
    public List<String> getRecordIdListNotList(){
        return this.recordIdListNotList;
    }

    /**
     * 设置 选择id列表
     * @param recordIdListNotList
     */
    public void setRecordIdListNotList(List<String> recordIdListNotList){
        this.recordIdListNotList = recordIdListNotList;
    }

    /**
     * 设置
     * @param id
     */
    public AttendanceExportRecordQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始
     * @param idStart
     */
    public AttendanceExportRecordQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束
     * @param idEnd
     */
    public AttendanceExportRecordQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加
     * @param idIncrement
     */
    public AttendanceExportRecordQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置
     * @param idList
     */
    public AttendanceExportRecordQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置
     * @param idNotList
     */
    public AttendanceExportRecordQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }


    /**
     * 设置 选择部门名称
     * @param deptName
     */
    public AttendanceExportRecordQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 选择部门名称
     * @param deptNameList
     */
    public AttendanceExportRecordQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }


    /**
     * 设置 选择考勤组名称
     * @param groupName
     */
    public AttendanceExportRecordQuery groupName(String groupName){
        setGroupName(groupName);
        return this;
    }

    /**
     * 设置 选择考勤组名称
     * @param groupNameList
     */
    public AttendanceExportRecordQuery groupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
        return this;
    }


    /**
     * 设置 选择班次名称
     * @param className
     */
    public AttendanceExportRecordQuery className(String className){
        setClassName(className);
        return this;
    }

    /**
     * 设置 选择班次名称
     * @param classNameList
     */
    public AttendanceExportRecordQuery classNameList(List<String> classNameList){
        this.classNameList = classNameList;
        return this;
    }


    /**
     * 设置 选择开始时间和结束时间段
     * @param attendanceDate
     */
    public AttendanceExportRecordQuery attendanceDate(String attendanceDate){
        setAttendanceDate(attendanceDate);
        return this;
    }

    /**
     * 设置 选择开始时间和结束时间段
     * @param attendanceDateList
     */
    public AttendanceExportRecordQuery attendanceDateList(List<String> attendanceDateList){
        this.attendanceDateList = attendanceDateList;
        return this;
    }

    /**
     * 设置  导出还是导入(1.导出,2.导入)
     * @param exportOrImport
     */
    public AttendanceExportRecordQuery exportOrImport(Integer exportOrImport){
        setExportOrImport(exportOrImport);
        return this;
    }

    /**
     * 设置 开始 导出还是导入(1.导出,2.导入)
     * @param exportOrImportStart
     */
    public AttendanceExportRecordQuery exportOrImportStart(Integer exportOrImportStart){
        this.exportOrImportStart = exportOrImportStart;
        return this;
    }

    /**
     * 设置 结束 导出还是导入(1.导出,2.导入)
     * @param exportOrImportEnd
     */
    public AttendanceExportRecordQuery exportOrImportEnd(Integer exportOrImportEnd){
        this.exportOrImportEnd = exportOrImportEnd;
        return this;
    }

    /**
     * 设置 增加 导出还是导入(1.导出,2.导入)
     * @param exportOrImportIncrement
     */
    public AttendanceExportRecordQuery exportOrImportIncrement(Integer exportOrImportIncrement){
        this.exportOrImportIncrement = exportOrImportIncrement;
        return this;
    }

    /**
     * 设置 导出还是导入(1.导出,2.导入)
     * @param exportOrImportList
     */
    public AttendanceExportRecordQuery exportOrImportList(List<Integer> exportOrImportList){
        this.exportOrImportList = exportOrImportList;
        return this;
    }

    /**
     * 设置 导出还是导入(1.导出,2.导入)
     * @param exportOrImportNotList
     */
    public AttendanceExportRecordQuery exportOrImportNotList(List<Integer> exportOrImportNotList){
        this.exportOrImportNotList = exportOrImportNotList;
        return this;
    }


    /**
     * 设置 导出文件路径
     * @param filePath
     */
    public AttendanceExportRecordQuery filePath(String filePath){
        setFilePath(filePath);
        return this;
    }

    /**
     * 设置 导出文件路径
     * @param filePathList
     */
    public AttendanceExportRecordQuery filePathList(List<String> filePathList){
        this.filePathList = filePathList;
        return this;
    }

    /**
     * 设置  汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @param type
     */
    public AttendanceExportRecordQuery type(Integer type){
        setType(type);
        return this;
    }

    /**
     * 设置 开始 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @param typeStart
     */
    public AttendanceExportRecordQuery typeStart(Integer typeStart){
        this.typeStart = typeStart;
        return this;
    }

    /**
     * 设置 结束 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @param typeEnd
     */
    public AttendanceExportRecordQuery typeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
        return this;
    }

    /**
     * 设置 增加 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @param typeIncrement
     */
    public AttendanceExportRecordQuery typeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
        return this;
    }

    /**
     * 设置 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @param typeList
     */
    public AttendanceExportRecordQuery typeList(List<Integer> typeList){
        this.typeList = typeList;
        return this;
    }

    /**
     * 设置 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @param typeNotList
     */
    public AttendanceExportRecordQuery typeNotList(List<Integer> typeNotList){
        this.typeNotList = typeNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public AttendanceExportRecordQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public AttendanceExportRecordQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public AttendanceExportRecordQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public AttendanceExportRecordQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public AttendanceExportRecordQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public AttendanceExportRecordQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public AttendanceExportRecordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public AttendanceExportRecordQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public AttendanceExportRecordQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public AttendanceExportRecordQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public AttendanceExportRecordQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public AttendanceExportRecordQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public AttendanceExportRecordQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public AttendanceExportRecordQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 选择id列表
     * @param recordIdList
     */
    public AttendanceExportRecordQuery recordIdList(String recordIdList){
        setRecordIdList(recordIdList);
        return this;
    }

    /**
     * 设置 选择id列表
     * @param recordIdListList
     */
    public AttendanceExportRecordQuery recordIdListList(List<String> recordIdListList){
        this.recordIdListList = recordIdListList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<AttendanceExportRecordQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<AttendanceExportRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<AttendanceExportRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<AttendanceExportRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}
